﻿using HardwareShopDatabaseImplement.Models.Storekeeper;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace HardwareShopDatabaseImplement.Models.ManyToMany
{
    public class GoodComponent
    {
        [Key]
        [Column(Order = 1)]
        [Required]
        public int GoodId { get; set; }

        [Key]
        [Column(Order = 2)]
        [Required]
        public int ComponentId { get; set; }

        [Required]
        public int Count { get; set; }

        public virtual Component Component { get; set; } = new();

        public virtual Good Good { get; set; } = new();
    }
}
